{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
<div class="page-wrapper">
    <div class="container-fluid">


            <h1>Packages </h1>
            <p>All Packages offered on the system.</p><br>
            <div>
              <a href="{{ url_for('dash.addpack')}}" class="btn btn-primary"><i class="m-r-10 mdi mdi-package"></i> New package</a>
            </div>

            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>
                
      <!-- Project One -->
      {%for package in data.packages%}
      <div class="row">
        <div class="col-md-7">
          <a href="#">
            <img class="img-fluid rounded mb-3 mb-md-0" src="{{package.img}}" alt="Package image" style="width: 900px;height: 300px;">
          </a>
        </div>
        <div class="col-md-5">
          <h3>{{package.name}}</h3>
          <p>Price : {{package.price}}</p><br>
          <p>Xui ID : {{package.xtream_id}}</p><br>
          <p>Periode : {{package.period}} Months</p>
          <a href="{{ url_for('dash.editpack', packages_id=package.id) }}" class="m-r-10 mdi mdi-package label label-warning"></a>
                                <a href="" class="m-r-10 mdi mdi-delete label label-danger" data-toggle="modal" data-target="#exampleModal" title="Delete Tutorial"></a>
          <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel"><i class=" mdi mdi-delete-forever"></i> Delete confirmation !</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                 Package will delete  :  <b style='color:red;'>{{package.name}}.</b> forever .!
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <a class="btn btn-danger" href="{{ url_for('dash.dellpack', id=package.id) }}"><i class=" mdi mdi-delete-forever"></i> Delete</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- /.row -->
      <hr>
      {%endfor%}

      <!-- Pagination -->
      <ul class="pagination justify-content-center">
        <li class="page-item">
          <a class="page-link" href="#" aria-label="Previous">
            <span aria-hidden="true">&laquo;</span>
            <span class="sr-only">Previous</span>
          </a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">1</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">2</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">3</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#" aria-label="Next">
            <span aria-hidden="true">&raquo;</span>
            <span class="sr-only">Next</span>
          </a>
        </li>
      </ul>

    </div>
</div>


    {% endblock content %}